Subject: Re: [PATCH v4 net-next 01/12] bonding: remove bond->lock from bond_arp_rcv

From: Veaceslav Falico <[email-masked]>
Date: Tue, 18 Feb 2014 08:10:29 +0100

On Tue, Feb 18, 2014 at 03:07:46PM +0800, Ding Tianhong wrote:
>On 2014/2/18 14:12, Veaceslav Falico wrote:
>> On Tue, Feb 18, 2014 at 12:02:41PM +0800, Ding Tianhong wrote:
>>> On 2014/2/17 22:41, Veaceslav Falico wrote:
...snip...
>>> I think it is not enough, you should add rcu_dereference for bond->curr_active_slave, it may be changed during
>>> the recv processing.
>>
>> bond->lock has absolutely nothing to du with bond->curr_active_slave .
>>
>Yep, this problem is introduced by commit aeea64ac7， there is no way to protect the curr_active_slave, so
>I think you could fix it in this patch together.
>
>	else if (bond->curr_active_slave &&
>		 time_after(slave_last_rx(bond, bond->curr_active_slave),
>			    bond->curr_active_slave->jiffies))

It's not related to this patchset, but yeah, I'll send a fix afterwards.

>>> Regards
>>> Ding